/** @type {import('tailwindcss').Config} */
export default {
	content: ['./src/**/*.{html,js,svelte,ts}'],
	theme: {
		extend: {
			animation: {
				'spin-slow': 'spin 2s linear infinite'
			},
			colors: {
				primary: {
					100: '#d0d7d2',
					200: '#a1aea4',
					300: '#718677',
					400: '#425d49',
					500: '#13351c',
					600: '#0f2a16',
					700: '#0b2011',
					800: '#08150b',
					900: '#040b06'
				},
				'dark-surface': {
					100: '#d3d4d1',
					200: '#a6a9a2',
					300: '#7a7d74',
					400: '#4d5245',
					500: '#212717',
					600: '#1a1f12',
					700: '#14170e',
					800: '#0d1009',
					900: '#070805'
				},
				'light-surface': {
					100: '#f9f9f9',
					200: '#f2f2f2',
					300: '#ececec',
					400: '#e5e5e5',
					500: '#dfdfdf',
					600: '#b2b2b2',
					700: '#868686',
					800: '#595959',
					900: '#2d2d2d'
				},
				dark: {
					100: '#d0d0d0',
					200: '#a2a2a2',
					300: '#737373',
					400: '#454545',
					500: '#161616',
					600: '#121212',
					700: '#0d0d0d',
					800: '#090909',
					900: '#040404'
				},
				secondary: {
					100: '#f0e0d9',
					200: '#e0c1b4',
					300: '#d1a18e',
					400: '#c18269',
					500: '#b26343',
					600: '#8e4f36',
					700: '#6b3b28',
					800: '#47281b',
					900: '#24140d'
				},
				tertiary: {
					100: '#f5ebda',
					200: '#ebd7b6',
					300: '#e0c291',
					400: '#d6ae6d',
					500: '#cc9a48',
					600: '#a37b3a',
					700: '#7a5c2b',
					800: '#523e1d',
					900: '#291f0e'
				},
				error: {
					100: '#f4d8d2',
					200: '#e9b2a5',
					300: '#dd8b77',
					400: '#d2654a',
					500: '#c73e1d',
					600: '#9f3217',
					700: '#772511',
					800: '#50190c',
					900: '#280c06'
				},
				success: {
					100: '#d9e7de',
					200: '#b3d0bd',
					300: '#8eb89b',
					400: '#68a17a',
					500: '#428959',
					600: '#356e47',
					700: '#285235',
					800: '#1a3724',
					900: '#0d1b12'
				},
				cancelled: {
					100: '#d4dce7',
					200: '#aab9cf',
					300: '#7f95b7',
					400: '#55729f',
					500: '#2a4f87',
					600: '#223f6c',
					700: '#192f51',
					800: '#112036',
					900: '#08101b'
				},
				warning: {
					100: '#fce9cc',
					200: '#f9d299',
					300: '#f7bc67',
					400: '#f4a534',
					500: '#f18f01',
					600: '#c17201',
					700: '#915601',
					800: '#603900',
					900: '#301d00'
				}
			}
		}
	},
	plugins: []
};
